print.hpp File Reference
`#include <sstream>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Set
| Finite integer sets.

## Functions

template<class Char, class Traits, class I>
void | Gecode::Set::printBound (std::basic_ostream< Char, Traits > &s, I &r)
| Print bound of a set view or variable.
template<class Char, class Traits, class IL, class IU>
void | Gecode::Set::print (std::basic_ostream< Char, Traits > &s, bool assigned, IL &lb, IU &ub, unsigned int cardMin, unsigned int cardMax)
| Print set view.
template<class Char, class Traits>
std::basic_ostream< Char, Traits > & | Gecode::Set::operator<< (std::basic_ostream< Char, Traits > &os, const SetView &x)
template<class Char, class Traits>
std::basic_ostream< Char, Traits > & | Gecode::Set::operator<< (std::basic_ostream< Char, Traits > &os, const EmptyView &)
template<class Char, class Traits>
std::basic_ostream< Char, Traits > & | Gecode::Set::operator<< (std::basic_ostream< Char, Traits > &os, const UniverseView &)
template<class Char, class Traits>
std::basic_ostream< Char, Traits > & | Gecode::Set::operator<< (std::basic_ostream< Char, Traits > &os, const ConstSetView &x)
template<class Char, class Traits>
std::basic_ostream< Char, Traits > & | Gecode::Set::operator<< (std::basic_ostream< Char, Traits > &os, const SingletonView &x)